{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.marine_reptile.general": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": [
            {
              "neck_turn": "query.is_in_water"
            },
            {
              "look_at_target": "!query.is_in_water && !query.has_rider"
            },
            {
              "look_at_target_mounted": "!query.is_in_water && query.has_rider"
            }
          ]
        }
      }
    },
    "controller.animation.marine_reptile.move": {
      "initial_state": "idle",
      "states": {
        "idle": {
          "animations": [
            {
              "beached": "!query.is_in_water"
            },
            {
              "idle": "query.is_in_water"
            },
            "look_at_target"
          ],
          "transitions": [
            {
              "moving": "variable.moving"
            }
          ]
        },
        "moving": {
          "animations": [
            {
              "swim": "query.is_in_water && !query.is_on_ground"
            },
			{
              "crawl_water": "query.is_in_water && query.is_on_ground"
            },
            {
              "crawl": "!query.is_in_water && query.is_on_ground"
            },
            {
              "breaching": "!query.is_in_water && !query.is_on_ground"
            },
            "look_at_target"
          ],
          "transitions": [
            {
              "idle": "!variable.moving"
            }
          ]
        }
      }
    }
  }
}
